Bug 1817182 - coccinelle is not installable in F32
Summary: coccinelle is not installable in F32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coccinelle
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-25 18:15 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2020-04-05 00:16 UTC (History)
1 user (show)

Fixed In Version: coccinelle-1.0.9-0.2.111d328fee1303f14a5b9def835301d849e41331.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-05 00:16:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2020-03-25 18:15:50 UTC
Description of problem:
$ sudo dnf install coccinelle
Last metadata expiration check: 0:58:48 ago on Wed 25 Mar 2020 06:15:52 PM CET.
Error: 
 Problem: conflicting requests
  - nothing provides ocaml(Stdlib) = aa33af4684579b41817bc194be0a7a26 needed by coccinelle-1.0.8-5.fc32.x86_64

Comment 1 Richard W.M. Jones 2020-03-25 18:47:03 UTC
Good reminder to find out if upstream have fixed compat with OCaml 4.10 yet.
(Checks out latest git ...)

Yes!  It looks like they've got it working now.  I'll push a new build soon.

Comment 3 Fedora Update System 2020-03-25 19:20:48 UTC
FEDORA-2020-ed9603dad6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed9603dad6

Comment 4 Richard W.M. Jones 2020-03-25 19:21:04 UTC
Sorry, ignore link in comment 2, that's for F33.

Comment 5 Fedora Update System 2020-03-26 08:17:53 UTC
FEDORA-2020-ed9603dad6 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ed9603dad6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed9603dad6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-03-28 14:59:49 UTC
FEDORA-2020-bc649d3429 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-bc649d3429`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bc649d3429

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-05 00:16:25 UTC
FEDORA-2020-bc649d3429 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.